unit WinDebugMonUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TWinDebugMon = class(TForm)
    LogCtrl: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure AddMessage(mgs: string);
  end;

var
  WinDebugMon: TWinDebugMon;

implementation

{$R *.dfm}

uses Main;

{ TWinDebugMon }

procedure TWinDebugMon.AddMessage(mgs: string);
begin
  LogCtrl.Lines.Add(mgs);
  while  LogCtrl.Lines.Count>1000 do LogCtrl.Lines.Delete(0);
end;

procedure TWinDebugMon.FormCreate(Sender: TObject);
begin
  MainForm.MonWindow:=self;
end;

procedure TWinDebugMon.FormDestroy(Sender: TObject);
begin
  MainForm.MonWindow:=nil;
end;

procedure TWinDebugMon.FormClose(Sender: TObject;  var Action: TCloseAction);
begin
  Action:=caFree;
end;

end.
