unit Proc;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ExtCtrls, StdCtrls, Buttons, Grids, ValEdit;




  function ExtractKeyValue(s: string; var key: string; var value: string):boolean;
  function GetMyExeVersion(const FileName: String; const Fmt: String = '%d.%d.%d.%d'): String;

implementation


function ExtractKeyValue(s: string; var key: string; var value: string):boolean;
var
   i: integer;
begin
  key:='';
  value:='';
  i:= pos('=',s);
  if i>0 then begin
    key:=trim(LowerCase(Copy(s,1,i-1)));
    Delete(s,1,i);
  end;
  value:=Trim(LowerCase(s));
  if Length(key)=0 then Result:=false
  else Result:=true;
end;


//   
function GetMyExeVersion(const FileName: String; const Fmt: String = '%d.%d.%d.%d'): String;
var
 iBufferSize: DWORD;
 iDummy: DWORD;
 pBuffer: Pointer;
 pFileInfo: Pointer;
 iVer:array of Word;
begin
 // set default value
 Result := '';
 // get size of version info (0 if no version info exists)
 iBufferSize := GetFileVersionInfoSize(PChar(FileName), iDummy);
 if (iBufferSize > 0) then
 begin
   GetMem(pBuffer, iBufferSize);
   try
   // get fixed file info
   GetFileVersionInfo(PChar(FileName), 0, iBufferSize, pBuffer);
   VerQueryValue(pBuffer, '\', pFileInfo, iDummy);
   // read version blocks
   SetLength(iVer,4);
   iVer[0] := HiWord(PVSFixedFileInfo(pFileInfo)^.dwFileVersionMS);
   iVer[1] := LoWord(PVSFixedFileInfo(pFileInfo)^.dwFileVersionMS);
   iVer[2] := HiWord(PVSFixedFileInfo(pFileInfo)^.dwFileVersionLS);
   iVer[3] := LoWord(PVSFixedFileInfo(pFileInfo)^.dwFileVersionLS);
   finally
     FreeMem(pBuffer);
   end;
   // format result string
   Result := Format(Fmt, [iVer[0], iVer[1], iVer[2], iVer[3]]);
   SetLength(iVer,0);
 end;
end;


end.
 